CREATE USER <PARTITION_POSTGRESQL_USERNAME> WITH PASSWORD '<PARTITION_POSTGRESQL_PASSWORD>';
GRANT <PARTITION_POSTGRESQL_USERNAME> TO postgres;
CREATE DATABASE <PARTITION_POSTGRESQL_DB_NAME> OWNER <PARTITION_POSTGRESQL_USERNAME>;

\c "<PARTITION_POSTGRESQL_DB_NAME>";

CREATE SCHEMA IF NOT EXISTS partition AUTHORIZATION <PARTITION_POSTGRESQL_USERNAME>;

CREATE TABLE IF NOT EXISTS partition."PartitionProperty"(
    id text COLLATE pg_catalog."default" NOT NULL,
    pk bigint NOT NULL GENERATED ALWAYS AS IDENTITY PRIMARY KEY,
    data jsonb NOT NULL,
    CONSTRAINT PartitionProperty UNIQUE (id)
);

ALTER TABLE
    partition."PartitionProperty" OWNER to <PARTITION_POSTGRESQL_USERNAME>;

CREATE INDEX IF NOT EXISTS PartitionProperty_datagin ON partition."PartitionProperty" USING GIN (data);
